xPos1 = nil
xPos2 = nil
xPos3 = nil
xPos4 = nil
xPos5 = nil
xPos6 = nil

function love.draw()
	-- NOTE ABOUT THIS VERSION:
	-- RITH NOW I'M USING THIS SIMPLE METHOD FOR DRAWING EVERYTHING TO SCREEN
	-- BUT IN LATER VERSIONS I WILL IMPLEMENT A "LAYERS" METHOD.
    scrollBackgrounds(scrollSpeed)
    
    drawPlayerBullets()
    
    bullet.move()
    
    enemy.draw()
    
    love.graphics.draw(playerImage, playerPosX, playerPosY)
    
    -- DRAWING BACKGROUNDS TO SCREEN WILL USE A MORE PRETTY METHOD
    love.graphics.draw(bgUp, xPos1, 0)
	love.graphics.draw(bgUp, xPos2, 0)
	
	love.graphics.print("ARROW KEYS = MOVE", 10, 10)
	love.graphics.print("Q = SHOOT", 10, 25)
	
	--showDebugInfo()
end

function drawPlayerBullets()
	for i, v in ipairs(bullet) do
		love.graphics.draw(v.image, v.posX, v.posY)
	end
end

function setStageBackground(newBgDown, newBgMid, newBgUp, speed, depthFactor)
	-- changes stage background. Only need to provide the base name
	bgUp = love.graphics.newImage("data/background/" .. newBgUp .. "u.png")
	bgMid = love.graphics.newImage("data/background/" .. newBgMid  .. "m.png")
	bgDown = love.graphics.newImage("data/background/" .. newBgDown  .. "d.png")
	
	scrollSpeed = speed
	depthSpeed = depthFactor
	
	xPos1 = 0
	xPos2 = bgUp:getWidth()
	xPos3 = 0
	xPos4 = bgMid:getWidth()
	xPos5 = 0
	xPos6 = bgDown:getWidth()
end

function scrollBackgrounds()
	-- bottom layer
	-- mid layer
	if xPos5 <= -bgDown:getWidth() then xPos5 = xPos6 + bgDown:getWidth() end
	if xPos6 <= -bgDown:getWidth() then xPos6 = xPos5 + bgDown:getWidth() end
	
	love.graphics.draw(bgDown, xPos5, 0)
	love.graphics.draw(bgDown, xPos6, 0)
	
	xPos5 = xPos5 - 0.1 * scrollSpeed
	xPos6 = xPos6 - 0.1 * scrollSpeed
	
	-- mid layer
	if xPos3 <= -bgMid:getWidth() then xPos3 = xPos4 + bgMid:getWidth() end
	if xPos4 <= -bgMid:getWidth() then xPos4 = xPos3 + bgMid:getWidth() end
	
	love.graphics.draw(bgMid, xPos3, 0)
	love.graphics.draw(bgMid, xPos4, 0)
	
	xPos3 = xPos3 - scrollSpeed + depthSpeed
	xPos4 = xPos4 - scrollSpeed + depthSpeed
	
	-- up layer
	if xPos1 <= -bgUp:getWidth() then xPos1 = xPos2 + bgUp:getWidth() end
	if xPos2 <= -bgUp:getWidth() then xPos2 = xPos1 + bgUp:getWidth() end
	
	
	
	xPos1 = xPos1 - scrollSpeed
	xPos2 = xPos2 - scrollSpeed
end
