function bullet.create(posX, posY, speed, image)
	table.insert(bullet, {posX = posX, posY = posY, speed = speed, image = playerBulletImage, width = image:getWidth(), height = image:getHeight()})
	totalObjects = totalObjects + 1
end

function bullet.move()
	for i,v in ipairs(bullet) do
		v.posX = v.posX + v.speed
		--v.posY = v.posY + v.speed
		
		if v.posX >= screenWidth then
			bullet.remove(i)
		end
	end
end

function bullet.remove(v)
	table.remove(bullet,v)
	totalObjects = totalObjects - 1
end
