-- read test.map for details on map structure

map = {}
exists = nil
count = 0

function readMap()
	if exists then
		for i,v in ipairs(map) do 
			if distance >= v.dist then 
				enemy.loadImage(v.enemySprite)
				enemy.create(v.enemyID,
							 v.posX,
							 v.posY,
							 enemyTempImage:getWidth(),
							 enemyTempImage:getHeight(),
							 v.rotation,
							 v.AIMove_Type,
							 v.AIAction_Type,
							 v.AIAction_Delay,
							 v.AIParameter1,
							 v.AIParameter2,
							 v.AIParameter3,
							 v.AIParameter4,
							 v.health)
				
				table.remove(map, i)
			end
		end
	end
end

function loadMap(mapName)
	exists = love.filesystem.exists("data/maps/" .. mapName .. ".map", "r")
	
	if exists then
		mapToLoad = love.filesystem.load( "data/maps/" .. mapName .. ".map" )
		result = mapToLoad()
	else
		print ("NO MAP")
	end
end

function trigger(b)
	table.insert(map, {dist = b.dist, 
					   enemySprite = b.enemySprite,
					   enemyID = b.enemyID,
					   posX = b.posX,
					   posY = b.posY,
					   rotation = b.rotation,
					   AIMove_Type = b.AIMove_Type,
					   AIAction_Delay = b.AIAction_Delay,
					   AIParameter1 = b.AIParameter1,
					   AIParameter2 = b.AIParameter2,
					   AIParameter3 = b.AIParameter3,
					   AIParameter4 = b.AIParameter4,
					   health = b.health})
end
